#pragma once

#include <nlohmann/json.hpp>

namespace lm {

class LayoutSchema
{
public:
  static nlohmann::json defaultLayoutObject();
  static void ensure(nlohmann::json& layout);

private:
  static nlohmann::json defaultBicycleWheels();
  static nlohmann::json defaultDiffWheels();
};

}  // namespace lm
